# Authenticator Pro

![GitHub](https://img.shields.io/github/license/jamie-mh/AuthenticatorPro?style=flat)
![GitHub stars](https://img.shields.io/github/stars/jamie-mh/AuthenticatorPro?style=flat)
![GitHub last commit](https://img.shields.io/github/last-commit/jamie-mh/AuthenticatorPro?style=flat)
![GitHub top language](https://img.shields.io/github/languages/top/jamie-mh/AuthenticatorPro?style=flat)
[![Crowdin](https://badges.crowdin.net/authenticator-pro/localized.svg)](https://crowdin.com/project/authenticator-pro)
[![Build Status](https://dev.azure.com/authenticatorpro/Authenticator%20Pro/_apis/build/status/jamie-mh.AuthenticatorPro?branchName=master)](https://dev.azure.com/authenticatorpro/Authenticator%20Pro/_build/latest?definitionId=1&branchName=master)
[![CodeFactor](https://www.codefactor.io/repository/github/jamie-mh/authenticatorpro/badge)](https://www.codefactor.io/repository/github/jamie-mh/authenticatorpro)

![Authenticator Pro](./doc/ic_launcher-web.png)

Authenticator Pro is a free open-source two factor authentication app for Android.
It supports TOTP (Time Based) and HOTP (Counter Based) authenticators using either SHA1, SHA256 or SHA512 hashing algorithms. Mobile-Otp (mOTP) and Steam are also supported.

## Quick Links

[Frequently Asked Questions](https://github.com/jamie-mh/AuthenticatorPro/wiki#frequently-asked-questions)

[Contribution Guide](https://github.com/jamie-mh/AuthenticatorPro/blob/master/CONTRIBUTING.md)

[Backup File Format](https://github.com/jamie-mh/AuthenticatorPro/blob/master/doc/BACKUP_FORMAT.md)

### Importing from other apps

[Google Authenticator](https://github.com/jamie-mh/AuthenticatorPro/wiki/Importing-from-Google-Authenticator)

[Blizzard Authenticator](https://github.com/jamie-mh/AuthenticatorPro/wiki/Importing-from-Blizzard-Authenticator)

[Steam](https://github.com/jamie-mh/AuthenticatorPro/wiki/Importing-from-Steam)

[Authy](https://github.com/jamie-mh/AuthenticatorPro/wiki/Importing-from-Authy)

## Download

[<img alt="Get it on Google Play" height="100" src="https://raw.githubusercontent.com/jamie-mh/AuthenticatorPro/master/doc/googleplay.png">](https://play.google.com/store/apps/details?id=me.jmh.authenticatorpro)

[<img alt="Get it on F-Droid" height="100" src="https://raw.githubusercontent.com/jamie-mh/AuthenticatorPro/master/doc/fdroid.png">](https://apt.izzysoft.de/fdroid/index/apk/me.jmh.authenticatorpro)

Please note, Authenticator Pro is currently only available on the IzzyOnDroid F-Droid repo (https://apt.izzysoft.de/fdroid/). You must first add this repository in the F-Droid client.

## Features

* **Compatibility** : Authenticator Pro is compatible with most providers and accounts.

* **Backup / Restore** : Backup your authenticators with strong encryption. In case you lose your or change phone, you can always gain access to your accounts. Save to cloud storage or to your device.

* **Dark Mode** : Authenticator Pro has a beautiful material design inspired look in either light or dark themes.

* **Icons** : Find your authenticators easily with recognisable brand logos and icons next to each code.

* **Categories** : Organise your authenticators into categories.

* **Offline with few permissions** : Authenticator Pro only requires a single permission and does not require Internet access to function.

* **Customisation** : Set icons and rename. You can also arrange your authenticators in any order you like so you can find them easily.

* **Wear OS** : Quickly view your authenticators directly from your watch. Please note that a connection to your Android device is required.

## Screenshots

![Screenshot 1](./doc/screenshot1.png)
![Screenshot 2](./doc/screenshot2.png)
![Screenshot 3](./doc/screenshot3.png)
![Screenshot 4](./doc/screenshot4.png)
![Screenshot 5](./doc/screenshot5.png)

### Wear OS Companion

![Screenshot 1](./doc/wearos_screenshot1.png)
![Screenshot 2](./doc/wearos_screenshot2.png)
![Screenshot 3](./doc/wearos_screenshot3.png)
![Screenshot 4](./doc/wearos_screenshot4.png)
![Screenshot 5](./doc/wearos_screenshot5.png)

## Permissions

* Camera permission is required to add accounts through QR codes.
